Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkErrorCode Class Reference

`#include <vtkErrorCode.h>`

List of all members.

## Detailed Description

superclass for error codes

Date:
  2002/01/22 15:25:22

Revision:
  1.2

vtkErrorCode is an mechanism for (currently) reader object to return errors during reading file.

Created by:
  - Cedilnik, Andy

CVS contributions (if > 5%):
  - Cedilnik, Andy (87%)
  - Schroeder, Will (12%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkErrorCode.cxx)`
  - .`h` (`/Common/vtkErrorCode.h)`

Definition at line 41 of file vtkErrorCode.h.

## Public Types

enum | ErrorIds { NoError = 0, FileNotFoundError, CannotOpenFileError, UnrecognizedFileTypeError, PrematureEndOfFileError, FileFormatError, NoFileNameError, UnknownError, UserError = 1000 }

## Static Public Methods

const char * | GetStringFromErrorCode (unsigned long event)
unsigned long | GetErrorCodeFromString (const char *event)

## Member Enumeration Documentation

enum vtkErrorCode::ErrorIds

Enumeration values:

  NoError |
  FileNotFoundError |
  CannotOpenFileError |
  UnrecognizedFileTypeError |
  PrematureEndOfFileError |
  FileFormatError |
  NoFileNameError |
  UnknownError |
  UserError |

Definition at line 53 of file vtkErrorCode.h.

## Member Function Documentation

const char* vtkErrorCode::GetStringFromErrorCode | ( | unsigned long | event | ) | `[static]`

unsigned long vtkErrorCode::GetErrorCodeFromString | ( | const char * | event | ) | `[static]`

The documentation for this class was generated from the following file:

- Common/vtkErrorCode.h